Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApprovalCommnet.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApprovalCommnet.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApprovalCommnet.cs	(revision 83)
@@ -0,0 +1,451 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 担当者承認コメントデータアクセスクラス
+    /// </summary>
+    public class IOPersonApprovalComment : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 承認コメントデータフィールド並び
+        /// </summary>
+        public enum ColumnName
+        {
+            PersonCode = 0,
+            ApprovalCode,
+            OrderDate,
+            OrderNo,
+            CommentNo,
+            ParentNo,
+            ApproValComment,
+            ENTRYDATE,
+            UPDATEDATE
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOPersonApprovalComment()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region 承認コメントデータ検索文字列作成
+        /// <summary>
+        /// 承認コメントデータ検索文字列作成
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">承認コメントデータデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        private string CreateSelectSQL()
+        {
+            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
+            string strcmd = "SELECT";
+            strcmd += " PersonCode";
+            strcmd += ",ApprovalCode";
+            strcmd += ",DATE_FORMAT(OrderDate, '%Y/%m/%d')";
+            strcmd += ",OrderNo";
+            strcmd += ",CommentNo";
+            strcmd += ",ParentNo";
+            strcmd += ",ApproValComment";
+            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += " FROM PersonApprovalComment";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 承認コメントデータ検索（複数）
+        /// <summary>
+        /// 承認コメントデータ検索（複数）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<PersonApprovalComment> data, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    PersonApprovalComment work = new PersonApprovalComment();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+        #endregion
+
+        #region 承認コメントデータ検索（1件）
+        /// <summary>
+        /// 承認コメントデータ検索（1件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref PersonApprovalComment data, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                object[] objwrk = (object[])arData[0];
+                Reader2Struct(objwrk, ref data);
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+        #endregion
+
+        #region 承認コメントデータ追加（複数）
+        /// <summary>
+        /// 承認コメントデータ追加（複数）
+        /// </summary>
+        /// <param name="data">承認コメントデータデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<PersonApprovalComment> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                foreach (PersonApprovalComment work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 承認コメントデータ追加（1件）
+        /// <summary>
+        /// 承認コメントデータ追加（1件）
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool InsertAction(PersonApprovalComment data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "INSERT INTO PersonApprovalComment";
+
+                strcmd += " (";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(ColumnName)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
+
+                strcmd += ") VALUES (";
+
+                strcmd += string.Format("  {0}", data.PersonCode.ToString());
+                strcmd += string.Format(", {0}", data.ApprovalCode.ToString());
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.OrderDate.ToShortDateString());
+                strcmd += string.Format(", {0}", data.OrderNo.ToString());
+                strcmd += string.Format(", {0}", data.CommentNo.ToString());
+                strcmd += string.Format(", {0}", data.ParentNo.ToString());
+                strcmd += string.Format(", '{0}'", data.ApproValComment.ToString());
+
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 承認コメントデータ更新
+        /// <summary>
+        /// 承認コメントデータ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">承認コメントデータデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, PersonApprovalComment data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE PersonApprovalComment";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" PersonCode = {0}", data.PersonCode.ToString());
+                strcmd += string.Format(",ApprovalCode = {0}", data.ApprovalCode.ToString());
+                strcmd += string.Format(",OrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.OrderDate.ToShortDateString());
+                strcmd += string.Format(",OrderNo = {0}", data.OrderNo.ToString());
+                strcmd += string.Format(",CommentNo = {0}", data.CommentNo.ToString());
+                strcmd += string.Format(",ParentNo = {0}", data.ParentNo.ToString());
+                strcmd += string.Format(",ApproValComment = '{0}'", data.ApproValComment.ToString());
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 承認コメントデータ削除
+        /// <summary>
+        /// 承認コメントデータ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">承認コメントデータデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM PersonApprovalComment", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int PersonCode, int ApprovalCode, DateTime OrderDate, int FeildNo, object value, bool bConnect = true, int OrderNo = 0, int CommentNo = 0)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE PersonApprovalComment";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)ColumnName.PersonCode:
+                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.ApprovalCode:
+                        strcmd += string.Format(" ApprovalCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.OrderDate:
+                        strcmd += string.Format(" OrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)ColumnName.OrderNo:
+                        strcmd += string.Format(" OrderNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.CommentNo:
+                        strcmd += string.Format(" CommentNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.ParentNo:
+                        strcmd += string.Format(" ParentNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.ApproValComment:
+                        strcmd += string.Format(" ApproValComment = '{0}'", value.ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(PersonCode, ApprovalCode, OrderDate, OrderNo, CommentNo);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref PersonApprovalComment wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.PersonCode = int.Parse(objwrk[(int)ColumnName.PersonCode].ToString());
+                wrk.ApprovalCode = int.Parse(objwrk[(int)ColumnName.ApprovalCode].ToString());
+                wrk.OrderDate = DateTime.Parse(objwrk[(int)ColumnName.OrderDate].ToString());
+                wrk.OrderNo = int.Parse(objwrk[(int)ColumnName.OrderNo].ToString());
+                wrk.CommentNo = int.Parse(objwrk[(int)ColumnName.CommentNo].ToString());
+                wrk.ParentNo = int.Parse(objwrk[(int)ColumnName.ParentNo].ToString());
+                wrk.ApproValComment = objwrk[(int)ColumnName.ApproValComment].ToString();
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)ColumnName.ENTRYDATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)ColumnName.UPDATEDATE].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="BusinessTypeCode"></param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int PersonCode, int ApprovalCode, DateTime OrderDate, int OrderNo = 0, int CommentNo = 0, string APara = "")
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where {0}PersonCode = {1}", APara, PersonCode.ToString());
+                strWork += string.Format(" And {0}ApprovalCode = {1}", APara, ApprovalCode.ToString());
+                strWork += string.Format(" And {0}OrderDate = STR_TO_DATE('{1}','%Y/%m/%d')", APara, OrderDate.ToShortDateString());
+                if (OrderNo != 0)
+                    strWork += string.Format(" And {0}OrderNo = {1}", APara, OrderNo.ToString());
+                if (CommentNo != 0)
+                    strWork += string.Format(" And {0}CommentNo = {1}", APara, CommentNo.ToString());
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+
+        #region 枝番の最大値を取得する
+        /// <summary>
+        /// 枝番の最大値を取得する
+        /// </summary>
+        /// <returns></returns>
+        public int MaxCommentNoCount(string AddSQLString, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT IFNULL(MAX(CommentNo), 0) FROM PersonApprovalComment" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                object[] wrkobj = (object[])arData[0];
+                iRet = CommonMotions.cnvInt(wrkobj[0]);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+            return iRet;
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsData.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsData.cs	(revision 83)
@@ -31,21 +31,17 @@
         /// <summary>
         /// データフィールド並び
         /// </summary>
-        public enum DataColumn
+        public enum TableColumn
         {
             /// <summary>
-            /// 作成者コード
+            /// 工事番号
             /// </summary>
-            PersonCode,
+            ConstructionCode,
             /// <summary>
             /// 議事録作成日
             /// </summary>
             ProceedingsDataDate,
             /// <summary>
-            /// 工事番号
-            /// </summary>
-            ConstructionCode,
-            /// <summary>
             /// 会議時間開始
             /// </summary>
             StartMeetingTime,
@@ -54,17 +50,17 @@
             /// </summary>
             EndMeetingTime,
             /// <summary>
-            /// 打合せ場所１
+            /// 作成者コード
             /// </summary>
-            MeetingPalce1,
+            CreatorCode,
             /// <summary>
-            /// 打合せ場所２
+            /// 現地フラグ
             /// </summary>
-            MeetingPalce2,
+            PalceFlag,
             /// <summary>
-            /// 打合せ場所３
+            /// 打合せ場所
             /// </summary>
-            MeetingPalce3,
+            MeetingPalce,
             /// <summary>
             /// 登録年月日
             /// </summary>
@@ -97,14 +93,13 @@
             // SQL作成
             string strcmd = "SELECT";
 
-            strcmd += "  PersonCode";                                       // 担当者コード
-            strcmd += " ,DATE_FORMAT(ProceedingsDataDate, '%Y/%m/%d')";       // 議事録作成日
-            strcmd += " ,ConstructionCode";                                 // 工事番号
-            strcmd += " ,DATE_FORMAT(StartMeetingTime, '%Y/%m/%d')";          // 会議時間開始
-            strcmd += " ,DATE_FORMAT(EndMeetingTime, '%Y/%m/%d')";            // 会議時間終了
-            strcmd += " ,MeetingPalce1";                                    // 打合せ場所１
-            strcmd += " ,MeetingPalce2";                                    // 打合せ場所２
-            strcmd += " ,MeetingPalce3";                                    // 打合せ場所３
+            strcmd += "  ConstructionCode";                                 // 工事番号
+            strcmd += " ,DATE_FORMAT(ProceedingsDataDate, '%Y/%m/%d')";     // 議事録作成日
+            strcmd += " ,StartMeetingTime";                                 // 会議時間開始
+            strcmd += " ,EndMeetingTime";                                   // 会議時間終了
+            strcmd += " ,CreatorCode";                                      // 作成者コード
+            strcmd += " ,PalceFlag";                                        // 現地フラグ
+            strcmd += " ,MeetingPalce";                                     // 打合せ場所
             strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";      // 登録年月日
             strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";     // 更新年月日
             strcmd += " FROM ProceedingsData";
@@ -191,19 +186,24 @@
             {
                 strcmd = "INSERT INTO ProceedingsData";
 
-                strcmd += " VALUES (";
+                strcmd += " (";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
+                strcmd += ") VALUES (";
 
-                strcmd += string.Format("  {0}", work.PersonCode);                          // 担当者コード
+                strcmd += string.Format("{0}", work.ConstructionCode);                      // 工事番号
                 strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.ProceedingsDataDate.ToShortDateString());// 議事録作成日
-                strcmd += string.Format(", {0}", work.ConstructionCode);                    // 工事番号
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
-                                            , work.StartMeetingTime.ToShortDateString());   // 会議時間開始
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
-                                            , work.StartMeetingTime.ToShortDateString());   // 会議時間終了
-                strcmd += string.Format(",'{0}'", work.MeetingPalce1);                      // 打合せ場所１
-                strcmd += string.Format(",'{0}'", work.MeetingPalce2);                      // 打合せ場所２
-                strcmd += string.Format(",'{0}'", work.MeetingPalce3);                      // 打合せ場所３
+                strcmd += string.Format(", {0}", work.StartMeetingTime);                    // 会議時間開始
+                strcmd += string.Format(", {0}", work.EndMeetingTime);                      // 会議時間終了
+                strcmd += string.Format(", {0}", work.CreatorCode);                         // 作成者コード
+                strcmd += string.Format(", {0}", work.PalceFlag);                           // 現地フラグ
+                strcmd += string.Format(",'{0}'", work.MeetingPalce);                       // 打合せ場所１
 
                 strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
@@ -259,17 +259,14 @@
 
                 strcmd += " SET";
 
-                strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
+                strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
                 strcmd += string.Format(",ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.ProceedingsDataDate.ToShortDateString());        // 議事録作成日
-                strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
-                strcmd += string.Format(",StartMeetingTime = STR_TO_DATE('{0}','%Y/%m/%d')"
-                                        , data.StartMeetingTime.ToShortDateString());           // 会議時間開始
-                strcmd += string.Format(",EndMeetingTime = STR_TO_DATE('{0}','%Y/%m/%d')"
-                                        , data.EndMeetingTime.ToShortDateString());             // 会議時間終了
-                strcmd += string.Format(",MeetingPalce1 = '{0}'", data.MeetingPalce1);          // 打合せ場所１
-                strcmd += string.Format(",MeetingPalce2 = '{0}'", data.MeetingPalce2);          // 打合せ場所２
-                strcmd += string.Format(",MeetingPalce3 = '{0}'", data.MeetingPalce3);          // 打合せ場所３
+                strcmd += string.Format(",StartMeetingTime = {0}", data.StartMeetingTime);      // 会議時間開始
+                strcmd += string.Format(",EndMeetingTime = {0}", data.EndMeetingTime);          // 会議時間終了
+                strcmd += string.Format(",CreatorCode = {0}", data.CreatorCode);                // 作成者コード
+                strcmd += string.Format(",PalceFlag = {0}", data.PalceFlag);                    // 現地フラグ
+                strcmd += string.Format(",MeetingPalce = '{0}'", data.MeetingPalce);            // 打合せ場所
 
                 strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
@@ -323,18 +320,17 @@
             try
             {
                 // データ取得
-                wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());                  // 担当者コード
-                wrk.ProceedingsDataDate = DateTime.Parse(objwrk[(int)DataColumn.ProceedingsDataDate].ToString());       // 議事録作成日
-                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());      // 工事番号
-                wrk.StartMeetingTime = DateTime.Parse(objwrk[(int)DataColumn.StartMeetingTime].ToString()); // 会議時間開始
-                wrk.EndMeetingTime = DateTime.Parse(objwrk[(int)DataColumn.EndMeetingTime].ToString());     // 会議時間終了
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());      // 工事番号
+                wrk.ProceedingsDataDate = DateTime.Parse(objwrk[(int)TableColumn.ProceedingsDataDate].ToString());       // 議事録作成日
+                wrk.StartMeetingTime = int.Parse(objwrk[(int)TableColumn.StartMeetingTime].ToString());      // 会議時間開始
+                wrk.EndMeetingTime = int.Parse(objwrk[(int)TableColumn.EndMeetingTime].ToString());          // 会議時間終了
+                wrk.CreatorCode = int.Parse(objwrk[(int)TableColumn.CreatorCode].ToString());                // 作成者コード
+                wrk.PalceFlag = int.Parse(objwrk[(int)TableColumn.PalceFlag].ToString());                    // 現地フラグ
 
-                wrk.MeetingPalce1 = objwrk[(int)DataColumn.MeetingPalce1].ToString();                       // 打合せ場所１
-                wrk.MeetingPalce2 = objwrk[(int)DataColumn.MeetingPalce2].ToString();                       // 打合せ場所２
-                wrk.MeetingPalce3 = objwrk[(int)DataColumn.MeetingPalce3].ToString();                       // 打合せ場所３
+                wrk.MeetingPalce = objwrk[(int)TableColumn.MeetingPalce].ToString();                         // 打合せ場所
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (MySqlException myex)
             {
@@ -351,21 +347,21 @@
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
-        /// <param name="PersonCode"></param>
+        /// <param name="CreatorCode"></param>
         /// <param name="ActionDate"></param>
         /// <param name="DataType"></param>
         /// <param name="DataAddCount"></param>
         /// <returns></returns>
-        public string CreatePrimarykeyString(int PersonCode, DateTime ProceedingsDataDate, int ConstructionCode)
+        public string CreatePrimarykeyString(int ConstructionCode, DateTime ProceedingsDataDate, int StartMeetingTime = 0)
         {
             string strWork = "";
             try
             {
-                strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
+                strWork += string.Format(" WHERE ConstructionCode = {0}", ConstructionCode);
                 if (ProceedingsDataDate != DateTime.MinValue)
                     strWork += string.Format(" AND ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", ProceedingsDataDate.ToShortDateString());
-                if (ConstructionCode != 0)
-                    strWork += string.Format(" AND ConstructionCode = {0}", ConstructionCode);
+                if (StartMeetingTime != 0)
+                    strWork += string.Format(" AND StartMeetingTime = {0}", StartMeetingTime);
             }
             catch (Exception ex)
             {
